print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricesalt = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local caviarHudFile = "Paletten/hud_fill_caviar.dds"
	local caviarHudFileSmall = "Paletten/hud_fill_caviar_smal.dds"
	
    local caviarFilType = g_fillTypeManager:addFillType("CAVIAR", g_i18n:getText("caviar"), true, pricesalt * 1.2, 0.00045, math.rad(10), caviarHudFile, caviarHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascaviar=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascaviar=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CAVIAR" then
		hascaviar=true
	end;
		
end;

		if hasmaize and not hascaviar then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CAVIAR")
		local price = g_fillTypeManager:getFillTypeByName("CAVIAR").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CAVIAR")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)